Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine
Interface CSSContext

All Known Implementing Classes:
  BridgeContext, SVG12BridgeContext

    public interface CSSContext

This interface allows the user of a CSSEngine to provide contextual informations.

Method Summary
`void` | `checkLoadExternalResource(ParsedURL resourceURL, ParsedURL docURL)` This method should throw a SecurityException if the resource found at url and referenced from docURL should not be loaded.
`float` | `getBlockHeight(Element elt)` Returns the height of the block which directly contains the given element.
`float` | `getBlockWidth(Element elt)` Returns the width of the block which directly contains the given element.
`float` | `getBolderFontWeight(float f)` Returns a bolder font-weight.
`CSSEngine` | `getCSSEngineForElement(Element e)` Returns the CSS engine associated with given element.
`Value` | `getDefaultFontFamily()` Returns the value corresponding to the default font-family.
`float` | `getLighterFontWeight(float f)` Returns a lighter font-weight.
`float` | `getMediumFontSize()` Returns the medium font size.
`float` | `getPixelToMillimeter()` Returns the size of a px CSS unit in millimeters.
`float` | `getPixelUnitToMillimeter()` Returns the size of a px CSS unit in millimeters.
`Value` | `getSystemColor(String ident)` Returns the Value corresponding to the given system color.
`boolean` | `isDynamic()` Returns true if the document is dynamic, false otherwise.
`boolean` | `isInteractive()` Returns true if the document is interactive, false otherwise.

Method Detail

### getSystemColor

    Value getSystemColor(String ident)

  Returns the Value corresponding to the given system color.

### getDefaultFontFamily

    Value getDefaultFontFamily()

  Returns the value corresponding to the default font-family.

### getLighterFontWeight

    float getLighterFontWeight(float f)

  Returns a lighter font-weight.

### getBolderFontWeight

    float getBolderFontWeight(float f)

  Returns a bolder font-weight.

### getPixelUnitToMillimeter

    float getPixelUnitToMillimeter()

  Returns the size of a px CSS unit in millimeters.

### getPixelToMillimeter

    float getPixelToMillimeter()

  Returns the size of a px CSS unit in millimeters. This will be removed after next release.

  See Also:
    `getPixelUnitToMillimeter()`

### getMediumFontSize

    float getMediumFontSize()

  Returns the medium font size.

### getBlockWidth

    float getBlockWidth(Element elt)

  Returns the width of the block which directly contains the given element.

### getBlockHeight

    float getBlockHeight(Element elt)

  Returns the height of the block which directly contains the given element.

### checkLoadExternalResource

    void checkLoadExternalResource(ParsedURL resourceURL,
                                   ParsedURL docURL)
                                   throws SecurityException

  This method should throw a SecurityException if the resource found at url and referenced from docURL should not be loaded.

  Parameters:
    `resourceURL` - url for the resource, as defined in the resource's xlink:href attribute. If that attribute was empty, then this parameter should be null
    `docURL` - url for the document into which the resource was found.
  Throws:
    `SecurityException`

### isDynamic

    boolean isDynamic()

  Returns true if the document is dynamic, false otherwise.

### isInteractive

    boolean isInteractive()

  Returns true if the document is interactive, false otherwise.

### getCSSEngineForElement

    CSSEngine getCSSEngineForElement(Element e)

  Returns the CSS engine associated with given element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.